@echo off
rem ******************************************************************
rem *     KERMIT utility can be gotten from watsun.cc.columbia.edu   *
rem ******************************************************************
echo .
echo . [1] PowerPC 603E
echo . [2] PowerPC 860
echo . [3] Exit
echo .
choice /c:123 "Select a firmware to download:"
if errorlevel 3 goto END
if errorlevel 2 goto PPC860
if errorlevel 1 goto PPC603E
if errorlevel 0 goto END

:PPC860
if not exist fw860.hex goto ERROR
copy fw860.hex rom128.hex > ~1.dat
del ~1.dat
kermit take wrom.tak
del rom128.hex
goto END

:PPC603E
if not exist fw603e.hex goto ERROR
copy fw603e.hex rom128.hex > ~1.dat
del ~1.dat
kermit take wrom.tak
del rom128.hex
goto END

:ERROR
echo File is not found!
goto END

:END
echo on
